%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =16859.IST230.A.2009.6.ESEMPIO_META.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.DS230_16859_A2009;

INFILE "&path&nomeFile" DLM='09'x LRECL=6000  TRUNCOVER FIRSTOBS=2  ;
INPUT 
Progressivo : 5.   /* Codice identificativo del lavoratore */
sesso_def : 1.   /* Sesso del lavoratore */
CLETA_1 : 1.   /* Classe di et - quinquiennale */
MT_QDRB_ANNO : 4.   /* Anno  */
qualif1 : 1.   /* Posizione nella professione - attivit di lavoro prevalente nell'anno */
qualif2 : 1.   /* Regime orario  - attivit di lavoro prevalente nell'anno */
qualif3 : 1.   /* Tipologia di contratto - attivit di lavoro prevalente nell'anno */
regione : 2.   /* Regione di lavoro  - attivit di lavoro prevalente nell'anno */
ripartizione : 1.   /* Ripartizione di lavoro  - attivit di lavoro prevalente nell'anno */
CODICE_IMPRESA : 8.   /* Codice Impresa */
Ateco_sez : 1.   /* Attivit economica dell'impresa */
classe_addetti : 1.   /* Classe di addetti dell'impresa */
f_giur_new : 1.   /* Classificazione della forma giuridica dell'impresa (ricodifica) */
;
LABEL 
Progressivo = "Codice identificativo del lavoratore"
sesso_def = "Sesso del lavoratore"
CLETA_1 = "Classe di et - quinquiennale"
MT_QDRB_ANNO = "Anno "
qualif1 = "Posizione nella professione - attivit di lavoro prevalente nell'anno"
qualif2 = "Regime orario  - attivit di lavoro prevalente nell'anno"
qualif3 = "Tipologia di contratto - attivit di lavoro prevalente nell'anno"
regione = "Regione di lavoro  - attivit di lavoro prevalente nell'anno"
ripartizione = "Ripartizione di lavoro  - attivit di lavoro prevalente nell'anno"
CODICE_IMPRESA = "Codice Impresa"
Ateco_sez = "Attivit economica dell'impresa"
classe_addetti = "Classe di addetti dell'impresa"
f_giur_new = "Classificazione della forma giuridica dell'impresa (ricodifica)"
;
RUN;
PROC FORMAT;
VALUE ses1F /* sesso_def */
1  = "Femmina"
2  = "Maschio"
;
VALUE CLE2F /* CLETA_1 */
1  = "15-24"
2  = "25-34"
3  = "35-44"
4  = "45-54"
5  = "55 oltre"
;
VALUE qua4F /* qualif1 */
1  = "Operaio"
2  = "Impiegato"
3  = "Quadro"
4  = "Apprendista"
5  = "Dirigente"
6  = "Altro"
;
VALUE qua5F /* qualif2 */
1  = "Fulltime"
2  = "Part Time "
;
VALUE qua6F /* qualif3 */
1  = "Tempo determinato"
2  = "Tempo indeterminato"
;
VALUE reg7F /* regione */
1  = "Piemonte"
10  = "Umbria"
11  = "Marche"
12  = "Lazio"
13  = "Abbruzzo"
14  = "Molise"
15  = "Campania"
16  = "Puglia"
17  = "Basilicata"
18  = "Calabria"
19  = "Sicilia"
2  = "Valle D.Aosta"
20  = "Sardegna"
21  = "Stato estero"
22  = "Codice mancante errato o non identificabile"
3  = "Lombardia"
4  = "Trentino Alto Adige"
5  = "Veneto"
6  = "Friuli Venezia-Giulia"
7  = "Liguria"
8  = "Emilia Romagna"
9  = "Toscana"
;
VALUE rip8F /* ripartizione */
1  = "Nord ovest"
2  = "Nord est"
3  = "Centro"
4  = "Sud"
5  = "Isole"
6  = "Stato estero"
7  = "Codice mancante errato o non identificabile"
;
VALUE Ate10F /* Ateco_sez */
0  = "Fuori campo"
1  = "Attivit manifatturiere ed estrattive, altre attivit"
2  = "Costruzioni"
3  = "Commercio all ingrosso e al dettaglio, trasporto e magazzinaggio, attivit di alloggio e ristorazione"
4  = "Servizio di informazione e comunicazione"
5  = "Attivit finanziarie a assicurative"
6  = "Attivit immobiliari "
7  = "Attivit professionali, scientifiche e tecniche, attivit amministrative e di servizi di supporto"
8  = "Istruzione, sanit e assistenza sociale"
9  = "Altre attivit di servizi"
;
VALUE cla11F /* classe_addetti */
1  = "fino a 9"
2  = "da 10 a 19"
3  = "da 20 a 49"
4  = "da 50 a 249"
5  = "250 e pi"
;
VALUE f_g12F /* f_giur_new */
1  = "Imprenditore individuale, libero professionista e lavoratore autonomo"
2  = "Societa di persone"
3  = "Societa Cooperativa"
4  = "Altre forme disciplinate dal diritto privato"
5  = "Forme disciplinate dal diritto pubblico"
6  = "Societ di capitali"
;
format sesso_def ses1F.;
format CLETA_1 CLE2F.;
format qualif1 qua4F.;
format qualif2 qua5F.;
format qualif3 qua6F.;
format regione reg7F.;
format ripartizione rip8F.;
format Ateco_sez Ate10F.;
format classe_addetti cla11F.;
format f_giur_new f_g12F.;
RUN;
